=== PKGBUILD ===
# Maintainer: Balló György <ballogyor+arch at gmail dot com>
# Contributor: Strit <danjohansen at strits dot dk>
# Contributor: ValHue <vhuelamo at gmail dot com>
# Contributor: Jaroslav Lichtblau <dragonlord at aur dot archlinux dot org>
# Contributor: Daniel J Griffiths <ghost1227 at archlinux dot us>
# Contributor: Ronald van Haren <ronald at archlinux dot org>
# Contributor: Alessio 'mOLOk' Bolognino <themolok at gmail dot com>
# Contributor: Pawel Rusinek <p.rusinek at gmail dot com>
# Contributor: Jashua Gentry <https://gitlab.com/pixel293>
# Contributor: John Cheetham <https://gitlab.com/johncheetham>

pkgname=griffith
pkgver=0.17
pkgrel=2
pkgdesc='Movie collection manager application'
arch=('any')
url='https://gitlab.com/Strit/griffith'
license=('GPL2')
depends=('gtkspell3' 'python-chardet' 'python-gobject' 'python-pillow' 'python-reportlab'
         'python-sqlalchemy')
source=("https://gitlab.com/Strit/$pkgname/-/archive/$pkgver/$pkgname-$pkgver.tar.gz"
        '0001-Add-missing-Gtk-version-declaration.patch'
        '0001-Add-AppStream-metadata-file.patch')
sha256sums=('e7d49717adc934801a0d810525f2b203b20672c18b4da889018121ef9019bc68'
            '896aae0fc40de117f478e6b1bbc037178b885ca8ed4f649b5d4bc2258de68205'
            '938dd09f8855d1731927cf265916b46f623a20d5aa2772949d58789be01ddb74')

prepare() {
  cd $pkgname-$pkgver
  patch -Np1 -i ../0001-Add-missing-Gtk-version-declaration.patch
  patch -Np1 -i ../0001-Add-AppStream-metadata-file.patch
}

package() {
  cd $pkgname-$pkgver
  make DESTDIR="$pkgdir" install
}
